Subject: Re: Increase the length of identifers from 63 characters to 128 characters or more

From: Alvaro Herrera <[email-masked]>
Date: Mon, 6 May 2024 15:23:22 +0200

On 2024-May-06, David G. Johnston wrote:

> On Monday, May 6, 2024, Peter Burbery <[email-masked]> wrote:
> 
> >
> > Business Use-case: I want to create a table named things_that_take_up_a_
> > lot_of_storage_and_space_on_a_computer_and_hard_drive of 75 characters. I
> > also want to create a column named thing_that_takes_up_a_
> > lot_of_storage_and_space_on_a_computer_and_hard_drive_id of 78
> > characters. People have asked for this feature before.
>
> We have a mailing list archive.  You should do the same research of past
> requests and discussions on it since that is where you will find the
> developers involved in the discussion and can find out the past reasoning
> as to why this hasn’t been changed.

There's been a lot of discussion on this topic -- the most recent seems
to be [1] which will lead you to the older patches by John Naylor at [2].

In short, it's not that we're completely opposed to it, just that
somebody needs to do some more work in order to have a good
implementation for it.

[1] https://www.postgresql.org/message-id/324703.1696948627%40sss.pgh.pa.us
[2] https://www.postgresql.org/message-id/flat/CALSd-crdmj9PGdvdioU%3Da5W7P%3DTgNmEB2QP9wiF6DTUbBuMXrQ%40mail.gmail.com

-- 
Álvaro Herrera         PostgreSQL Developer  —  https://www.EnterpriseDB.com/
"La primera ley de las demostraciones en vivo es: no trate de usar el sistema.
Escriba un guión que no toque nada para no causar daños." (Jakob Nielsen)